## r-cran-nozzle.r1 1.1

=== DESCRIPTION ===
Package: Nozzle.R1
Type: Package
Title: Nozzle Reports
Version: 1.1-1.1
Date: 2012-05-15
Author: Nils Gehlenborg <nils@hms.harvard.edu>
Maintainer: Nils Gehlenborg <nils@hms.harvard.edu>
Description: The Nozzle package provides an API to generate HTML
        reports with dynamic user interface elements based on
        JavaScript and CSS (Cascading Style Sheets). Nozzle was
        designed to facilitate summarization and rapid browsing of
        complex results in data analysis pipelines where multiple
        analyses are performed frequently on big data sets. The package
        can be applied to any project where user-friendly reports need
        to be created.
License: LGPL-2
URL: http://github.com/parklab/nozzle,
        http://gdac.broadinstitute.org/nozzle
BugReports: http://www.github.com/parklab/nozzle/issues
Copyright: Nozzle is copyright 2013 The Fellows and President of
        Harvard College and The Broad Institute, Inc. All rights
        reserved. jQuery is licensed under the MIT license. Copyright
        2012 jQuery Foundation. jQuery Tablesorter plugin is licensed
        under the MIT license. Copyright 2008 Christian Bach.
LazyLoad: yes
Collate: 'nozzle.R'
Packaged: 2022-06-23 06:56:21 UTC; hornik
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2022-06-23 07:18:39 UTC

## r-cran-nozzle.r1 1.1-1%2Bdfsg

=== debian/changelog ===
r-cran-nozzle.r1 (1.1-1+dfsg-4build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:17:20 +0000

r-cran-nozzle.r1 (1.1-1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Re-add libjs-jquery and libjs-jquery-tablesorter to deps (Closes: #961446)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 10:44:17 +0200

r-cran-nozzle.r1 (1.1-1+dfsg-3) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:33:19 +0200

r-cran-nozzle.r1 (1.1-1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Feb 2020 07:09:44 +0100

r-cran-nozzle.r1 (1.1-1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931093)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jun 2019 09:00:52 +0200

## r-cran-nozzle.r1 1.1-1+dfsg

=== debian/control ===
Source: r-cran-nozzle.r1
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               libjs-jquery,
               libjs-jquery-tablesorter
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1.git
Homepage: https://cran.r-project.org/package=Nozzle.R1

Package: r-cran-nozzle.r1
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-jquery-tablesorter
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R nozzle reports
 The Nozzle package provides an API to generate HTML
 reports with dynamic user interface elements based on
 JavaScript and CSS (Cascading Style Sheets). Nozzle was
 designed to facilitate summarization and rapid browsing of
 complex results in data analysis pipelines where multiple
 analyses are performed frequently on big data sets. The package
 can be applied to any project where user-friendly reports need
 to be created.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/Nozzle.R1_([-\d.]*)\.tar\.gz

## r-cran-nozzle.r1 1.1-1.1+dfsg

=== debian/changelog ===
r-cran-nozzle.r1 (1.1-1.1+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Fix clean target
    Closes: #1047767, #1049562
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2023 20:12:50 +0100

r-cran-nozzle.r1 (1.1-1.1+dfsg-1) unstable; urgency=medium

  * Work around bug #961492 of dh-update-R
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 11:48:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-nozzle.r1
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper (>= 12~),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1.git
+Homepage: https://cran.r-project.org/package=Nozzle.R1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libjs-jquery,
                libjs-jquery-tablesorter
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nozzle.r1.git
-Homepage: https://cran.r-project.org/package=Nozzle.R1
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-nozzle.r1
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	ln -s /usr/share/javascript/jquery/jquery.min.js inst/js/jquery-1.5.1.min.js
	ln -s /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.js inst/js/jquery.tablesorter.js
	ln -s /usr/share/javascript/jquery-tablesorter/jquery.tablesorter.min.js inst/js/jquery.tablesorter.min.js
	mv inst/js/google-analytics.js inst/js/google-analytics.js.backup
	echo "" > inst/js/google-analytics.js
	dh_auto_install
	find debian -type f -name "jquery*.js" -delete
	find debian -type f -name "google-analytics.js.backup" -delete
	mv inst/js/google-analytics.js.backup inst/js/google-analytics.js
